// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: false, name: '比赛列表', leftArrow: false, useBar: false, tabSelectid: '0' },
    ids: '',
    src: '/image/yun.jpg',
    // 主体高度
    infoHeight: '',
    active: 1,
    teamlist: [],
    ranks: [],
    listbang: [],
    schedule: [],
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  tabPath(e) {
    let query = e.detail.detail;
    if (query) wx.redirectTo({ url: `/pages/${query}/index` })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({ ids: options.id });
    // 计算高度
    this.searchHeight();
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    wx.getStorage({
      key: 'token',
      success: res => {
        var that = this;
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/match/${this.data.ids}`, //接口地址
          method: 'get',
          // data: {},
          success(res) {
            if (res.data.errcode == 0) {
              let datas = res.data.data
              that.setData({
                teamlist: datas,
              });
              // 查询参赛队伍数据
              that.ranks();
              // 查询赛程列表数据
              that.course();
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 查询参赛队伍数据
  ranks: function () {
    var that = this;
    let match_id =that.data.ids;
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/matchteam`, //接口地址
      method: 'get',
      data: { match_id:match_id},
      success(res) {
        if (res.data.errcode == 0) {
          let datacan = res.data.data
          that.setData({
            ranks: datacan,
            listbang: datacan,
          });
        } else {
          wx.showToast({
            title: res.data.errmsg,
            icon: 'none',
            duration: 2000
          })
        }
      }
    })
  },
  // 查询赛程列表数据
  course: function () {
    var that = this;
    let match_id =that.data.ids;
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/schedule`, //接口地址
      method: 'get',
      data: { match_id:match_id},
      success(res) {
        if (res.data.errcode == 0) {
          let datasai = res.data.data
          that.setData({
            schedule: datasai,
          });
        } else {
          wx.showToast({
            title: res.data.errmsg,
            icon: 'none',
            duration: 2000
          })
        }
      }
    })
  },

  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 减去状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2)
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})